---
title: List Signing Keys
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Images](https://developers.cloudflare.com/api/typescript/resources/images)

[V1](https://developers.cloudflare.com/api/typescript/resources/images/subresources/v1)

[Keys](https://developers.cloudflare.com/api/typescript/resources/images/subresources/v1/subresources/keys)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Signing Keys

client.images.v1.keys.list(KeyListParams {account\_id } params, RequestOptionsoptions?): [KeyListResponse](<https://developers.cloudflare.com/api/typescript/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)>) {keys }

GET/accounts/{account\_id}/images/v1/keys

List your CF Images signing keys.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Images Read``Images Write`

##### ParametersExpand Collapse

<details>

<summary>

params: KeyListParams {account\_id }

</summary>

account\_id: string

Account identifier tag.

maxLength32

<a href="#(resource)%20images.v1.keys%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

KeyListResponse {keys }

</summary>

<details>

<summary>

keys?: Array&lt;<a href="https://developers.cloudflare.com/api/typescript/resources/images#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)">Key</a> {name, value } &gt;

</summary>

name?: string

Key name.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

value?: string

Key value.

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)%20%3E%20(property)%20keys">Link to this property</a>

</details>

[Link to this property](<#(resource)%20images.v1.keys%20%3E%20(model)%20key_list_response%20%3E%20(schema)>)

### List Signing Keys

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const keys = await client.images.v1.keys.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(keys.keys);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "keys": [
      {
        "name": "default",
        "value": "Oix0bbNaT8Rge9PuyxUBrjI6zrgnsyJ5="
      }
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "keys": [
      {
        "name": "default",
        "value": "Oix0bbNaT8Rge9PuyxUBrjI6zrgnsyJ5="
      }
    ]
  },
  "success": true
}
```